---
title: HTTP response status codes
slug: Web/HTTP/Status
tags:
  - HTTP
  - Landing
  - Overview
  - Reference
  - Status code
  - Web
---
<div>{{HTTPSidebar}}</div>

<p class="summary"><span class="seoSummary">HTTP response status codes indicate whether a specific <a href="/en-US/docs/Web/HTTP">HTTP</a> request has been successfully completed. Responses are grouped in five classes: </span></p>

<ol>
 <li><span class="seoSummary">Informational responses (<code>100</code>–<code>199</code>)</span></li>
 <li><span class="seoSummary">Successful responses (<code>200</code>–<code>299</code>)</span></li>
 <li><span class="seoSummary">Redirects (<code>300</code>–<code>399</code>)</span></li>
 <li><span class="seoSummary">Client errors (<code>400</code>–<code>499</code>)</span></li>
 <li><span class="seoSummary">Server errors (<code>500</code>–<code>599</code>)</span></li>
</ol>

<p>The below status codes are defined by <a href="https://tools.ietf.org/html/rfc2616#section-10">section 10 of RFC 2616</a>. You can find an updated specification in <a href="https://tools.ietf.org/html/rfc7231#section-6.5.1">RFC 7231</a>.</p>

<div class="notecard note">
<p>If you receive a response that is not in this list, it is a non-standard response, possibly custom to the server's software.</p>
</div>

<h2 id="Information_responses">Information responses</h2>

<dl>
 <dt>{{HTTPStatus(100, "100 Continue")}}</dt>
 <dd>This interim response indicates that everything so far is OK and that the client should continue the request, or ignore the response if the request is already finished.</dd>
 <dt>{{HTTPStatus(101, "101 Switching Protocol")}}</dt>
 <dd>This code is sent in response to an {{HTTPHeader("Upgrade")}} request header from the client, and indicates the protocol the server is switching to.</dd>
 <dt>{{HTTPStatus(102, "102 Processing")}} ({{Glossary("WebDAV")}})</dt>
 <dd>This code indicates that the server has received and is processing the request, but no response is available yet.</dd>
 <dt>{{HTTPStatus(103, "103 Early Hints")}}</dt>
 <dd>This status code is primarily intended to be used with the {{HTTPHeader("Link")}} header, letting the user agent start <a href="/en-US/docs/Web/HTML/Preloading_content">preloading</a> resources while the server prepares a response.</dd>
</dl>

<h2 id="Successful_responses">Successful responses</h2>

<dl>
 <dt>{{HTTPStatus(200, "200 OK")}}</dt>
 <dd>The request has succeeded. The meaning of the success depends on the HTTP method:
 <ul>
  <li><code>GET</code>: The resource has been fetched and is transmitted in the message body.</li>
  <li><code>HEAD</code>: The entity headers are in the message body.</li>
  <li><code>PUT</code> or <code>POST</code>: The resource describing the result of the action is transmitted in the message body.</li>
  <li><code>TRACE</code>: The message body contains the request message as received by the server.</li>
 </ul>
 </dd>
 <dt>{{HTTPStatus(201, "201 Created")}}</dt>
 <dd>The request has succeeded and a new resource has been created as a result. This is typically the response sent after <code>POST</code> requests, or some <code>PUT</code> requests.</dd>
 <dt>{{HTTPStatus(202, "202 Accepted")}}</dt>
 <dd>The request has been received but not yet acted upon. It is noncommittal, since there is no way in HTTP to later send an asynchronous response indicating the outcome of the request. It is intended for cases where another process or server handles the request, or for batch processing.</dd>
 <dt>{{HTTPStatus(203, "203 Non-Authoritative Information")}}</dt>
 <dd>This response code means the returned meta-information is not exactly the same as is available from the origin server, but is collected from a local or a third-party copy. This is mostly used for mirrors or backups of another resource. Except for that specific case, the "200 OK" response is preferred to this status.</dd>
 <dt>{{HTTPStatus(204, "204 No Content")}}</dt>
 <dd>There is no content to send for this request, but the headers may be useful. The user-agent may update its cached headers for this resource with the new ones.</dd>
 <dt>{{HTTPStatus(205, "205 Reset Content")}}</dt>
 <dd>Tells the user-agent to reset the document which sent this request.</dd>
 <dt>{{HTTPStatus(206, "206 Partial Content")}}</dt>
 <dd>This response code is used when the {{HTTPHeader("Range")}} header is sent from the client to request only part of a resource.</dd>
 <dt>{{HTTPStatus(207, "207 Multi-Status")}} ({{Glossary("WebDAV")}})</dt>
 <dd>Conveys information about multiple resources, for situations where multiple status codes might be appropriate.</dd>
 <dt>{{HTTPStatus(208, "208 Already Reported")}} ({{Glossary("WebDAV")}})</dt>
 <dd>Used inside a <code>&lt;dav:propstat&gt;</code> response element to avoid repeatedly enumerating the internal members of multiple bindings to the same collection.</dd>
 <dt>{{HTTPStatus(226, "226 IM Used")}} (<a href="https://tools.ietf.org/html/rfc3229">HTTP Delta encoding</a>)</dt>
 <dd>The server has fulfilled a <code>GET</code> request for the resource, and the response is a representation of the result of one or more instance-manipulations applied to the current instance.</dd>
</dl>

<h2 id="Redirection_messages">Redirection messages</h2>

<dl>
 <dt>{{HTTPStatus(300, "300 Multiple Choice")}}</dt>
 <dd>The request has more than one possible response. The user-agent or user should choose one of them. (There is no standardized way of choosing one of the responses, but HTML links to the possibilities are recommended so the user can pick.)</dd>
 <dt>{{HTTPStatus(301, "301 Moved Permanently")}}</dt>
 <dd>The URL of the requested resource has been changed permanently. The new URL is given in the response.</dd>
 <dt>{{HTTPStatus(302, "302 Found")}}</dt>
 <dd>This response code means that the URI of requested resource has been changed <em>temporarily</em>. Further changes in the URI might be made in the future. Therefore, this same URI should be used by the client in future requests.</dd>
 <dt>{{HTTPStatus(303, "303 See Other")}}</dt>
 <dd>The server sent this response to direct the client to get the requested resource at another URI with a GET request.</dd>
 <dt>{{HTTPStatus(304, "304 Not Modified")}}</dt>
 <dd>This is used for caching purposes. It tells the client that the response has not been modified, so the client can continue to use the same cached version of the response.</dd>
 <dt><code>305 Use Proxy</code> {{deprecated_inline}}</dt>
 <dd>Defined in a previous version of the HTTP specification to indicate that a requested response must be accessed by a proxy. It has been deprecated due to security concerns regarding in-band configuration of a proxy.</dd>
 <dt><code>306 unused</code></dt>
 <dd>This response code is no longer used; it is just reserved. It was used in a previous version of the HTTP/1.1 specification.</dd>
 <dt>{{HTTPStatus(307, "307 Temporary Redirect")}}</dt>
 <dd>The server sends this response to direct the client to get the requested resource at another URI with same method that was used in the prior request. This has the same semantics as the <code>302 Found</code> HTTP response code, with the exception that the user agent <em>must not</em> change the HTTP method used: If a <code>POST</code> was used in the first request, a <code>POST</code> must be used in the second request.</dd>
 <dt>{{HTTPStatus(308, "308 Permanent Redirect")}}</dt>
 <dd>This means that the resource is now permanently located at another URI, specified by the <code>Location:</code> HTTP Response header. This has the same semantics as the <code>301 Moved Permanently</code> HTTP response code, with the exception that the user agent <em>must not</em> change the HTTP method used: If a <code>POST</code> was used in the first request, a <code>POST</code> must be used in the second request.</dd>
</dl>

<h2 id="Client_error_responses">Client error responses</h2>

<dl>
 <dt>{{HTTPStatus(400, "400 Bad Request")}}</dt>
 <dd>The server could not understand the request due to invalid syntax.</dd>
 <dt>{{HTTPStatus(401, "401 Unauthorized")}}</dt>
 <dd>Although the HTTP standard specifies "unauthorized", semantically this response means "unauthenticated". That is, the client must authenticate itself to get the requested response.</dd>
 <dt>{{HTTPStatus(402, "402 Payment Required")}} {{experimental_inline}}</dt>
 <dd>This response code is reserved for future use. The initial aim for creating this code was using it for digital payment systems, however this status code is used very rarely and no standard convention exists.</dd>
 <dt>{{HTTPStatus(403, "403 Forbidden")}}</dt>
 <dd>The client does not have access rights to the content; that is, it is unauthorized, so the server is refusing to give the requested resource. Unlike 401, the client's identity is known to the server.</dd>
 <dt>{{HTTPStatus(404, "404 Not Found")}}</dt>
 <dd>The server can not find the requested resource. In the browser, this means the URL is not recognized. In an API, this can also mean that the endpoint is valid but the resource itself does not exist. Servers may also send this response instead of 403 to hide the existence of a resource from an unauthorized client. This response code is probably the most famous one due to its frequent occurrence on the web.</dd>
 <dt>{{HTTPStatus(405, "405 Method Not Allowed")}}</dt>
 <dd>The request method is known by the server but has been disabled and cannot be used. For example, an API may forbid DELETE-ing a resource. The two mandatory methods, <code>GET</code> and <code>HEAD</code>, must never be disabled and should not return this error code.</dd>
 <dt>{{HTTPStatus(406, "406 Not Acceptable")}}</dt>
 <dd>This response is sent when the web server, after performing <a href="/en-US/docs/HTTP/Content_negotiation#Server-driven_negotiation">server-driven content negotiation</a>, doesn't find any content that conforms to the criteria given by the user agent.</dd>
 <dt>{{HTTPStatus(407, "407 Proxy Authentication Required")}}</dt>
 <dd>This is similar to 401 but authentication is needed to be done by a proxy.</dd>
 <dt>{{HTTPStatus(408, "408 Request Timeout")}}</dt>
 <dd>This response is sent on an idle connection by some servers, even without any previous request by the client. It means that the server would like to shut down this unused connection. This response is used much more since some browsers, like Chrome, Firefox 27+, or IE9, use HTTP pre-connection mechanisms to speed up surfing. Also note that some servers merely shut down the connection without sending this message.</dd>
 <dt>{{HTTPStatus(409, "409 Conflict")}}</dt>
 <dd>This response is sent when a request conflicts with the current state of the server.</dd>
 <dt>{{HTTPStatus(410, "410 Gone")}}</dt>
 <dd>This response is sent when the requested content has been permanently deleted from server, with no forwarding address. Clients are expected to remove their caches and links to the resource. The HTTP specification intends this status code to be used for "limited-time, promotional services". APIs should not feel compelled to indicate resources that have been deleted with this status code.</dd>
 <dt>{{HTTPStatus(411, "411 Length Required")}}</dt>
 <dd>Server rejected the request because the <code>Content-Length</code> header field is not defined and the server requires it.</dd>
 <dt>{{HTTPStatus(412, "412 Precondition Failed")}}</dt>
 <dd>The client has indicated preconditions in its headers which the server does not meet.</dd>
 <dt>{{HTTPStatus(413, "413 Payload Too Large")}}</dt>
 <dd>Request entity is larger than limits defined by server; the server might close the connection or return an <code>Retry-After</code> header field.</dd>
 <dt>{{HTTPStatus(414, "414 URI Too Long")}}</dt>
 <dd>The URI requested by the client is longer than the server is willing to interpret.</dd>
 <dt>{{HTTPStatus(415, "415 Unsupported Media Type")}}</dt>
 <dd>The media format of the requested data is not supported by the server, so the server is rejecting the request.</dd>
 <dt>{{HTTPStatus(416, "416 Range Not Satisfiable")}}</dt>
 <dd>The range specified by the <code>Range</code> header field in the request can't be fulfilled; it's possible that the range is outside the size of the target URI's data.</dd>
 <dt>{{HTTPStatus(417, "417 Expectation Failed")}}</dt>
 <dd>This response code means the expectation indicated by the <code>Expect</code> request header field can't be met by the server.</dd>
 <dt>{{HTTPStatus(418, "418 I'm a teapot")}}</dt>
 <dd>The server refuses the attempt to brew coffee with a teapot.</dd>
 <dt>{{HTTPStatus(421, "421 Misdirected Request")}}</dt>
 <dd>The request was directed at a server that is not able to produce a response. This can be sent by a server that is not configured to produce responses for the combination of scheme and authority that are included in the request URI.</dd>
 <dt>{{HTTPStatus(422, "422 Unprocessable Entity")}} ({{Glossary("WebDAV")}})</dt>
 <dd>The request was well-formed but was unable to be followed due to semantic errors.</dd>
 <dt>{{HTTPStatus(423, "423 Locked")}} ({{Glossary("WebDAV")}})</dt>
 <dd>The resource that is being accessed is locked.</dd>
 <dt>{{HTTPStatus(424, "424 Failed Dependency")}} ({{Glossary("WebDAV")}})</dt>
 <dd>The request failed due to failure of a previous request.</dd>
 <dt>{{HTTPStatus(425, "425 Too Early")}} {{experimental_inline}}</dt>
 <dd>Indicates that the server is unwilling to risk processing a request that might be replayed.</dd>
 <dt>{{HTTPStatus(426, "426 Upgrade Required")}}</dt>
 <dd>The server refuses to perform the request using the current protocol but might be willing to do so after the client upgrades to a different protocol. The server sends an {{HTTPHeader("Upgrade")}} header in a 426 response to indicate the required protocol(s).</dd>
 <dt>{{HTTPStatus(428, "428 Precondition Required")}}</dt>
 <dd>The origin server requires the request to be conditional. This response is intended to prevent the 'lost update' problem, where a client GETs a resource's state, modifies it, and PUTs it back to the server, when meanwhile a third party has modified the state on the server, leading to a conflict.</dd>
 <dt>{{HTTPStatus(429, "429 Too Many Requests")}}</dt>
 <dd>The user has sent too many requests in a given amount of time ("rate limiting").</dd>
 <dt>{{HTTPStatus(431, "431 Request Header Fields Too Large")}}</dt>
 <dd>The server is unwilling to process the request because its header fields are too large. The request may be resubmitted after reducing the size of the request header fields.</dd>
 <dt>{{HTTPStatus(451, "451 Unavailable For Legal Reasons")}}</dt>
 <dd>The user-agent requested a resource that cannot legally be provided, such as a web page censored by a government.</dd>
</dl>

<h2 id="Server_error_responses">Server error responses</h2>

<dl>
 <dt>{{HTTPStatus(500, "500 Internal Server Error")}}</dt>
 <dd>The server has encountered a situation it doesn't know how to handle.</dd>
 <dt>{{HTTPStatus(501, "501 Not Implemented")}}</dt>
 <dd>The request method is not supported by the server and cannot be handled. The only methods that servers are required to support (and therefore that must not return this code) are <code>GET</code> and <code>HEAD</code>.</dd>
 <dt>{{HTTPStatus(502, "502 Bad Gateway")}}</dt>
 <dd>This error response means that the server, while working as a gateway to get a response needed to handle the request, got an invalid response.</dd>
 <dt>{{HTTPStatus(503, "503 Service Unavailable")}}</dt>
 <dd>The server is not ready to handle the request. Common causes are a server that is down for maintenance or that is overloaded. Note that together with this response, a user-friendly page explaining the problem should be sent. This responses should be used for temporary conditions and the <code>Retry-After:</code> HTTP header should, if possible, contain the estimated time before the recovery of the service. The webmaster must also take care about the caching-related headers that are sent along with this response, as these temporary condition responses should usually not be cached.</dd>
 <dt>{{HTTPStatus(504, "504 Gateway Timeout")}}</dt>
 <dd>This error response is given when the server is acting as a gateway and cannot get a response in time.</dd>
 <dt>{{HTTPStatus(505, "505 HTTP Version Not Supported")}}</dt>
 <dd>The HTTP version used in the request is not supported by the server.</dd>
 <dt>{{HTTPStatus(506, "506 Variant Also Negotiates")}}</dt>
 <dd>The server has an internal configuration error: the chosen variant resource is configured to engage in transparent content negotiation itself, and is therefore not a proper end point in the negotiation process.</dd>
 <dt>{{HTTPStatus(507, "507 Insufficient Storage")}} ({{Glossary("WebDAV")}})</dt>
 <dd>The method could not be performed on the resource because the server is unable to store the representation needed to successfully complete the request.</dd>
 <dt>{{HTTPStatus(508, "508 Loop Detected")}} ({{Glossary("WebDAV")}})</dt>
 <dd>The server detected an infinite loop while processing the request.</dd>
 <dt>{{HTTPStatus(510, "510 Not Extended")}}</dt>
 <dd>Further extensions to the request are required for the server to fulfil it.</dd>
 <dt>{{HTTPStatus(511, "511 Network Authentication Required")}}</dt>
 <dd>The 511 status code indicates that the client needs to authenticate to gain network access.</dd>
</dl>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("http.status")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="https://en.wikipedia.org/wiki/List_of_HTTP_status_codes">List of HTTP status codes on Wikipedia</a></li>
 <li><a href="http://www.iana.org/assignments/http-status-codes/http-status-codes.xhtml">IANA official registry of HTTP status codes </a></li>
</ul>
